Jump to content
spacegremlin

help what version

Recommended Posts

50 minutes ago, spacegremlin said:

can someone tell me what version i use.

Some version of osC boostrap! what goto

Admin -> Tools -> Version Checker

But it will not tell you much as it could be any thing from gold to frozen....


 

Share this post


Link to post
Share on other sites

thats what i was afraid of.

in the version checker it only says. 2.3.4.1 and no more, i know i did some addons my self. but that was to far away to remember.

 

i know at some time i went to a resposive version

 

Share this post


Link to post
Share on other sites

but if i download this one i am missing 2 things, wich i really want hihi

i dont care to try, where can i find these versions 2.3.4.1, but for php 5....

and i install them and check them.

so all 2.3.4.1 version, for php 5...........

frozen, bootstrap 3,4 edge but on 5......... php, because im running 5....... for that version.
but i have some problems, so the best way is to start with a clean version.

i installed the phoenix one, but for now i dont like that one.
 

Naamloos-2.jpg

Edited by spacegremlin

Share this post


Link to post
Share on other sites

@spacegremlin

As has been said before, the Community Edition did not have an accurate version numbering system, so there is often confusion as to which version a shop may be using.

When Burt started this project back in 2014, osC was at version 2.3.3.4. So, the Community Edition, all through its early development, was also v2.3.3.4. Every release of the Community Edition during these early times was called v2.3.3.4.

When osC upgraded to v2.3.4, Burt brought the Community Edition code base up to the v2.3.4 code base, and the Community Edition became (and stayed at) v2.3.4 while further development was happening. In January 2015, Burt released the 'Gold' fixed release. Development still continued, with every release still being called v2.3.4.

When osC had the v2.3.4.1 Hot Patch applied, Burt also applied the Hot Patch, and the Community Edition was bumped up to v2.3.4.1. Once again, development continued, with every new release still being called v2.3.4.1.

Burt released the 'Frozen' fixed release in August 2018. No additional development is being done on 'Frozen'. Some bugs have been identified in 'Frozen', and there is a thread on the forum identifying them (and some fixes too). At lease one member here is maintaining a patch file of these fixes needed for 'Frozen'.

Development still continues (usually called 'Edge', although that is not a fixed release), and the version number is *still* v2.3.4.1. Some significant changes have been made since 'Frozen' (such as the 'upgrade' from BootStrap v3 to v4), causing some compatibility issues with prior versions, and many (most?) add-ons out there.

So, there is no one 'Edge' version. Releases prior to 'Frozen' could technically be called 'Edge', and every release since 'Frozen' is also technically 'Edge'. A release of 'Edge' from a month ago may not (and probably is not) the same as 'Edge' today.

Also, there is no 'Frozen' BS4. All changes to upgrade to BootStrap v4 came *after* the release of 'Frozen'.

In July of 2019, the 'Phoenix' edition was released. As of this writing, Phoenix is the latest release, now with a consistent version numbering system in place. This numbering system does not relate to the 'official' osC numbering in any way.

So, the only real way to know what version you are running is to look at the date of the original ZIP file that held your original osC code.

HTH

Malcolm


Get the latest Responsive osCommerce CE (community edition) here .

Share this post


Link to post
Share on other sites

What version am I using if the download is called osCommerce-Responsive-master?

Download date in my folder is showing as May 24, 2018, but I think that's only referencing the actual date I downloaded it, not the date it was released.

Not that it matters terribly much at this point - just curious. 

Otherwise, all I see when I run the Version checker from time-to-time is...2.3.4.1 CE

I'm not running Phoenix, so I kind of expect a message other than...

You are running the latest version of osCommerce Online Merchant. 🙂

No, I'm not.  Version checker really doesn't check anything, does it?

- Andrea

Share this post


Link to post
Share on other sites
7 hours ago, puggybelle said:

Version checker really doesn't check anything, does it?

- Andrea

It used to before the community edition. Phoenix now shows the correct version.


REMEMBER BACKUP, BACKUP AND BACKUP

Get the latest Responsive osCommerce CE (community edition) here

It's very easy to over complicate what are simple things in life

Share this post


Link to post
Share on other sites
7 hours ago, puggybelle said:

No, I'm not.  Version checker really doesn't check anything, does it?

The way that the system is supposed to work is that if you are on Phoenix, it checks if there is a newer version of Phoenix.  If you are on osCommerce, it checks if there is a newer official (not community edition) release of osCommerce. 

What you're seeing is that it thinks your version is osCommerce, and its version is equal to the most current official version. 

If you want to see it actually working, rename includes/version.php and put up a new copy with a different version number.  E.g. 1. anything less than 1.0.4.0 would tell you that there is a newer version of Phoenix.  And putting 2.2 or something should tell you that there is a newer version of osCommerce.  I'm not sure what it would do if you put in something like 2.4 or 3. 


Always back up before making changes.

Share this post


Link to post
Share on other sites

@puggybelle

14 hours ago, puggybelle said:

What version am I using if the download is called osCommerce-Responsive-master?

All of the Community Editions were called that.

14 hours ago, puggybelle said:

Download date in my folder is showing as May 24, 2018, but I think that's only referencing the actual date I downloaded it, not the date it was released.

As you suggested, sometimes the folder date may reflect the date you downloaded. However, all of the files within the folder should all have the same date.

Regardless, with a date of May 2018, this was before the release of Frozen, which was released in August 2018.

14 hours ago, puggybelle said:

No, I'm not.  Version checker really doesn't check anything, does it?

@ecartz explained it well.

Malcolm


Get the latest Responsive osCommerce CE (community edition) here .

Share this post


Link to post
Share on other sites

@ArtcoInc

thats the problem i do not have the original zipfile anymore.
Thats why i want to know the version.
so i can look an reinstall the same version as i have now.

But i understand what has been said.

Share this post


Link to post
Share on other sites

best way for me was to install all avaible oscommerce on the internet LOL

i found mine. finally

my dates of the files go from 2003 , 2010,2014, 2016
i know i always put parts in it.

but the one wich looks the same is oscommerce 2.3.4.1 frozen 2018.

so i go from there.

thank you.

 

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×